package com.honter.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * Created by admin on 2019/3/26.
 * 读取配置文件数据
 */
@Component

public class ConfigBeanValue {
    private String jwtTokenSecret;
    private long tokenExpiredMs;
    private long tokenRefreshMs;
    private String EMAIL_OWNER_ADDR_HOST; //smtp.163.com  smtp.aliyun.com  smtp.qq.com
    private String EMAIL_OWNER_ADDR;
    private String EMAIL_OWNER_ADDR_PASS;

    public String getJwtTokenSecret() {
        return jwtTokenSecret;
    }
    @Value("${jwtspringboot.jwtTokenSecret}")
    public void setJwtTokenSecret(String jwtTokenSecret) {
        this.jwtTokenSecret = jwtTokenSecret;
    }

    public long getTokenExpiredMs() {
        return tokenExpiredMs;
    }
    @Value("${jwtspringboot.tokenExpiredMs}")
    public void setTokenExpiredMs(long tokenExpiredMs) {
        this.tokenExpiredMs = tokenExpiredMs;
    }

    public long getTokenRefreshMs() {
        return tokenRefreshMs;
    }
    @Value("${jwtspringboot.tokenRefreshMs}")
    public void setTokenRefreshMs(long tokenRefreshMs) {
        this.tokenRefreshMs = tokenRefreshMs;
    }

    public String getEMAIL_OWNER_ADDR_HOST() {
        return EMAIL_OWNER_ADDR_HOST;
    }
    @Value("${mailsend.EMAIL_OWNER_ADDR_HOST}")
    public void setEMAIL_OWNER_ADDR_HOST(String EMAIL_OWNER_ADDR_HOST) {
        this.EMAIL_OWNER_ADDR_HOST = EMAIL_OWNER_ADDR_HOST;
    }

    public String getEMAIL_OWNER_ADDR() {
        return EMAIL_OWNER_ADDR;
    }
    @Value("${mailsend.EMAIL_OWNER_ADDR}")
    public void setEMAIL_OWNER_ADDR(String EMAIL_OWNER_ADDR) {
        this.EMAIL_OWNER_ADDR = EMAIL_OWNER_ADDR;
    }

    public String getEMAIL_OWNER_ADDR_PASS() {
        return EMAIL_OWNER_ADDR_PASS;
    }
    @Value("${mailsend.EMAIL_OWNER_ADDR_PASS}")
    public void setEMAIL_OWNER_ADDR_PASS(String EMAIL_OWNER_ADDR_PASS) {
        this.EMAIL_OWNER_ADDR_PASS = EMAIL_OWNER_ADDR_PASS;
    }
}
