package com.honter.ehcache;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cache.CacheManager;

import javax.lang.model.element.Element;

/**
 * Created by admin on 2019/3/25.
 */
public class EhcacheUtil {

    private static CacheManager cacheManager;

    @Autowired
    public EhcacheUtil(CacheManager cacheManager) {
        EhcacheUtil.cacheManager = cacheManager;
    }

    public static void createEhcacheValue(String ehcacheName,String key,String value){
        cacheManager.getCache(ehcacheName).put(key,value);
    }

    public static Object getEhcacheValue(String ehcacheName,String key){
        Object value=cacheManager.getCache(ehcacheName).get(key).get();
        return value;
    }
}
