package com.honter;

import com.honter.mail.MailSend;
import com.honter.mapper.UserMapper;
import com.honter.model.User;
import com.honter.service.UserService;
import com.honter.serviceImpl.UserServiceImpl;
import com.honter.util.JwtToken;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RunWith(SpringRunner.class)
@SpringBootTest
public class SpringbootApplicationTests {
//	@Autowired
//	public  JwtToken jwtToken;
	@Autowired
	private UserMapper userMapper;
	@Autowired
	private UserService userService;
	@Test
	public void contextLoads() {
		User user = userService.queryUserByUserId(1);
//		System.out.println(user.getPhone());
	}
	@Test
	public void insertUser(){
		User user=new User();
		user.setPassword("fsssss");
		user.setPhone("222222");
		System.out.println(userService.insertUser(user));
	}
	@Test
	public void updateUser(){
		User user=new User();
		user.setPhone("88888");
		user.setUserId(12);
//		userService.updateUserByUserId(user);
	}
	@Test
	public void getUsers() {
		List<User> user = userService.getUsersByuserId(1,null);
		System.out.println(user.size());
	}
	@Test
	public void getUser() {
		User user = userService.getUsersByUserName("恶委屈人情味");
		System.out.println(user);
	}
	@Test
	public void getJwtToken() throws Exception {
		Map<String, Object> map = new HashMap<String, Object>();
		map.put("province", "898765");
		map.put("city", "898765");
		map.put("appkey", "HMu1H/cmyKDOiHv41Y9lLROuOlOo+PPG8F4/RotRmNc=");
		map.put("timestamp", new Date().getTime());
		String token= JwtToken.createToken(map);
		System.out.println(token);
		Map<String, Object> claim=JwtToken.verifyToken("wwww");
		System.out.println(claim);
	}

	@Test
	public void mailsend() throws Exception {
		MailSend.sendMail("吸引力", "li.hongtaolove@163.com", "spring boot 邮件测试");
	}

}
