package com.honter.service;

import com.honter.model.User;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Isolation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created by admin on 2019/3/7.
 */
public interface UserService {
    public User queryUserByUserId(Integer userId);
    @Transactional(isolation = Isolation.REPEATABLE_READ)
    public Integer insertUser(User user);
    public void updateUserByUserId(User user);
    public List<User> getUsersByuserId(Integer userId, String userName);
    public User getUsersByUserName(String userName);
}
